commit 42e6daf3b4e87e02b5ce3d75c86150b19531212c
Author: Julien Enselme <julien.enselme@centrale-marseille.fr>
Date:   Fri Apr 18 12:14:04 2014 +0200

    Update drupal 7.26 -> 7.27

diff --git a/drupal7/CHANGELOG.txt b/drupal7/CHANGELOG.txt
index 9f1bcf12..3a63aea1 100644
--- a/drupal7/CHANGELOG.txt
+++ b/drupal7/CHANGELOG.txt
@@ -1,4 +1,8 @@
 
+Drupal 7.27, 2014-04-16
+----------------------
+- Fixed security issues (information disclosure). See SA-CORE-2014-002.
+
 Drupal 7.26, 2014-01-15
 ----------------------
 - Fixed security issues (multiple vulnerabilities). See SA-CORE-2014-001.
diff --git a/drupal7/includes/ajax.inc b/drupal7/includes/ajax.inc
index ab0111ce..8446bf89 100644
--- a/drupal7/includes/ajax.inc
+++ b/drupal7/includes/ajax.inc
@@ -308,10 +308,11 @@ function ajax_render($commands = array()) {
  * pulls the form info from $_POST.
  *
  * @return
- *   An array containing the $form and $form_state. Use the list() function
- *   to break these apart:
+ *   An array containing the $form, $form_state, $form_id, $form_build_id and an
+ *   initial list of Ajax $commands. Use the list() function to break these
+ *   apart:
  *   @code
- *     list($form, $form_state, $form_id, $form_build_id) = ajax_get_form();
+ *     list($form, $form_state, $form_id, $form_build_id, $commands) = ajax_get_form();
  *   @endcode
  */
 function ajax_get_form() {
@@ -331,6 +332,17 @@ function ajax_get_form() {
     drupal_exit();
   }
 
+  // When a page level cache is enabled, the form-build id might have been
+  // replaced from within form_get_cache. If this is the case, it is also
+  // necessary to update it in the browser by issuing an appropriate Ajax
+  // command.
+  $commands = array();
+  if (isset($form['#build_id_old']) && $form['#build_id_old'] != $form['#build_id']) {
+    // If the form build ID has changed, issue an Ajax command to update it.
+    $commands[] = ajax_command_update_build_id($form);
+    $form_build_id = $form['#build_id'];
+  }
+
   // Since some of the submit handlers are run, redirects need to be disabled.
   $form_state['no_redirect'] = TRUE;
 
@@ -345,7 +357,7 @@ function ajax_get_form() {
   $form_state['input'] = $_POST;
   $form_id = $form['#form_id'];
 
-  return array($form, $form_state, $form_id, $form_build_id);
+  return array($form, $form_state, $form_id, $form_build_id, $commands);
 }
 
 /**
@@ -366,7 +378,7 @@ function ajax_get_form() {
  * @see system_menu()
  */
 function ajax_form_callback() {
-  list($form, $form_state) = ajax_get_form();
+  list($form, $form_state, $form_id, $form_build_id, $commands) = ajax_get_form();
   drupal_process_form($form['#form_id'], $form, $form_state);
 
   // We need to return the part of the form (or some other content) that needs
@@ -379,7 +391,19 @@ function ajax_form_callback() {
     $callback = $form_state['triggering_element']['#ajax']['callback'];
   }
   if (!empty($callback) && function_exists($callback)) {
-    return $callback($form, $form_state);
+    $result = $callback($form, $form_state);
+
+    if (!(is_array($result) && isset($result['#type']) && $result['#type'] == 'ajax')) {
+      // Turn the response into a #type=ajax array if it isn't one already.
+      $result = array(
+        '#type' => 'ajax',
+        '#commands' => ajax_prepare_response($result),
+      );
+    }
+
+    $result['#commands'] = array_merge($commands, $result['#commands']);
+
+    return $result;
   }
 }
 
@@ -1210,3 +1234,26 @@ function ajax_command_restripe($selector) {
     'selector' => $selector,
   );
 }
+
+/**
+ * Creates a Drupal Ajax 'update_build_id' command.
+ *
+ * This command updates the value of a hidden form_build_id input element on a
+ * form. It requires the form passed in to have keys for both the old build ID
+ * in #build_id_old and the new build ID in #build_id.
+ *
+ * The primary use case for this Ajax command is to serve a new build ID to a
+ * form served from the cache to an anonymous user, preventing one anonymous
+ * user from accessing the form state of another anonymous users on Ajax enabled
+ * forms.
+ *
+ * @param $form
+ *   The form array representing the form whose build ID should be updated.
+ */
+function ajax_command_update_build_id($form) {
+  return array(
+    'command' => 'updateBuildId',
+    'old' => $form['#build_id_old'],
+    'new' => $form['#build_id'],
+  );
+}
diff --git a/drupal7/includes/bootstrap.inc b/drupal7/includes/bootstrap.inc
index e5de2d18..4cc39142 100644
--- a/drupal7/includes/bootstrap.inc
+++ b/drupal7/includes/bootstrap.inc
@@ -8,7 +8,7 @@
 /**
  * The current system version.
  */
-define('VERSION', '7.26');
+define('VERSION', '7.27');
 
 /**
  * Core API compatibility.
diff --git a/drupal7/includes/form.inc b/drupal7/includes/form.inc
index 4e467bab..fd80e09b 100644
--- a/drupal7/includes/form.inc
+++ b/drupal7/includes/form.inc
@@ -168,6 +168,12 @@ function drupal_get_form($form_id) {
  *       processed.
  *     - base_form_id: Identification for a base form, as declared in a
  *       hook_forms() implementation.
+ *     - immutable: If this flag is set to TRUE, a new form build id is
+ *       generated when the form is loaded from the cache. If it is subsequently
+ *       saved to the cache again, it will have another cache id and therefore
+ *       the original form and form-state will remain unaltered. This is
+ *       important when page caching is enabled in order to prevent form state
+ *       from leaking between anonymous users.
  *   - rebuild_info: Internal. Similar to 'build_info', but pertaining to
  *     drupal_rebuild_form().
  *   - rebuild: Normally, after the entire form processing is completed and
@@ -459,16 +465,24 @@ function drupal_rebuild_form($form_id, &$form_state, $old_form = NULL) {
   $form = drupal_retrieve_form($form_id, $form_state);
 
   // If only parts of the form will be returned to the browser (e.g., Ajax or
-  // RIA clients), re-use the old #build_id to not require client-side code to
-  // manually update the hidden 'build_id' input element.
+  // RIA clients), or if the form already had a new build ID regenerated when it
+  // was retrieved from the form cache, reuse the existing #build_id.
   // Otherwise, a new #build_id is generated, to not clobber the previous
   // build's data in the form cache; also allowing the user to go back to an
   // earlier build, make changes, and re-submit.
   // @see drupal_prepare_form()
-  if (isset($old_form['#build_id']) && !empty($form_state['rebuild_info']['copy']['#build_id'])) {
+  $enforce_old_build_id = isset($old_form['#build_id']) && !empty($form_state['rebuild_info']['copy']['#build_id']);
+  $old_form_is_mutable_copy = isset($old_form['#build_id_old']);
+  if ($enforce_old_build_id || $old_form_is_mutable_copy) {
     $form['#build_id'] = $old_form['#build_id'];
+    if ($old_form_is_mutable_copy) {
+      $form['#build_id_old'] = $old_form['#build_id_old'];
+    }
   }
   else {
+    if (isset($old_form['#build_id'])) {
+      $form['#build_id_old'] = $old_form['#build_id'];
+    }
     $form['#build_id'] = 'form-' . drupal_random_key();
   }
 
@@ -523,6 +537,15 @@ function form_get_cache($form_build_id, &$form_state) {
           }
         }
       }
+      // Generate a new #build_id if the cached form was rendered on a cacheable
+      // page.
+      if (!empty($form_state['build_info']['immutable'])) {
+        $form['#build_id_old'] = $form['#build_id'];
+        $form['#build_id'] = 'form-' . drupal_random_key();
+        $form['form_build_id']['#value'] = $form['#build_id'];
+        $form['form_build_id']['#id'] = $form['#build_id'];
+        unset($form_state['build_info']['immutable']);
+      }
       return $form;
     }
   }
@@ -535,15 +558,28 @@ function form_set_cache($form_build_id, $form, $form_state) {
   // 6 hours cache life time for forms should be plenty.
   $expire = 21600;
 
+  // Ensure that the form build_id embedded in the form structure is the same as
+  // the one passed in as a parameter. This is an additional safety measure to
+  // prevent legacy code operating directly with form_get_cache and
+  // form_set_cache from accidentally overwriting immutable form state.
+  if ($form['#build_id'] != $form_build_id) {
+    watchdog('form', 'Form build-id mismatch detected while attempting to store a form in the cache.', array(), WATCHDOG_ERROR);
+    return;
+  }
+
   // Cache form structure.
   if (isset($form)) {
     if ($GLOBALS['user']->uid) {
       $form['#cache_token'] = drupal_get_token();
     }
+    unset($form['#build_id_old']);
     cache_set('form_' . $form_build_id, $form, 'cache_form', REQUEST_TIME + $expire);
   }
 
   // Cache form state.
+  if (variable_get('cache', 0) && drupal_page_is_cacheable()) {
+    $form_state['build_info']['immutable'] = TRUE;
+  }
   if ($data = array_diff_key($form_state, array_flip(form_state_keys_no_cache()))) {
     cache_set('form_state_' . $form_build_id, $data, 'cache_form', REQUEST_TIME + $expire);
   }
diff --git a/drupal7/misc/ajax.js b/drupal7/misc/ajax.js
index 90c3bb8b..63dd65fd 100644
--- a/drupal7/misc/ajax.js
+++ b/drupal7/misc/ajax.js
@@ -616,6 +616,13 @@ Drupal.ajax.prototype.commands = {
       .removeClass('odd even')
       .filter(':even').addClass('odd').end()
       .filter(':odd').addClass('even');
+  },
+
+  /**
+   * Command to update a form's build ID.
+   */
+  updateBuildId: function(ajax, response, status) {
+    $('input[name="form_build_id"][value="' + response.old + '"]').val(response.new);
   }
 };
 
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index 17fb2e5b..e256d235 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,8 +7,8 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index a122ba28..dc03793a 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index fd0fce0a..a6854b6a 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index 846e067d..b0666a53 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index 3da86d02..20e2fa9e 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,8 +13,8 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index fbef8c1f..cd06d0c8 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index 1c2d5099..6bb8a640 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,8 +7,8 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index ee776c25..25ae8ccf 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index ed7fdc79..8814c8dc 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,8 +9,8 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index 3ac50b60..b3af921a 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index d7ea0111..b5d38852 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index cfae6df8..f38979eb 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,8 +7,8 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index b95957c3..ee487535 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index 8b6db5e7..fc65243a 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,8 +11,8 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index a5a8eafb..702ffb0e 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index 2aef1005..d88ea860 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,8 +7,8 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 1861cdcd..a9bc057c 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index df198b86..2a11de3f 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index 571afbdf..a1955d34 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index 4dd9b000..807154ed 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index ce4db199..4a7d2fbc 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,8 +6,8 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index e9dc3c72..b5e3d933 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index b96e4359..9bcfd2fe 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/file/file.module b/drupal7/modules/file/file.module
index 3d351fa2..5a635fd7 100644
--- a/drupal7/modules/file/file.module
+++ b/drupal7/modules/file/file.module
@@ -246,7 +246,7 @@ function file_ajax_upload() {
     return array('#type' => 'ajax', '#commands' => $commands);
   }
 
-  list($form, $form_state) = ajax_get_form();
+  list($form, $form_state, $form_id, $form_build_id, $commands) = ajax_get_form();
 
   if (!$form) {
     // Invalid form_build_id.
@@ -284,7 +284,6 @@ function file_ajax_upload() {
   $js = drupal_add_js();
   $settings = call_user_func_array('array_merge_recursive', $js['settings']['data']);
 
-  $commands = array();
   $commands[] = ajax_command_replace(NULL, $output, $settings);
   return array('#type' => 'ajax', '#commands' => $commands);
 }
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index 4f94acf3..fef211ce 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index 5c25bbfe..3fb5bda0 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,8 +7,8 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index 610bd7b5..571f117e 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,8 +9,8 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index 3fac8778..1c7ff99e 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index a601da7f..1d1151d9 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,8 +7,8 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index 7bb35f58..6a4e11ba 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index 3a260e2d..8b0263fb 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index 7506100f..5b25fb5a 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index f08d9bd2..b1cfb628 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index f3a977dc..ea48787d 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index d17db640..6742e8ab 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index 240a2b76..58bd6a91 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index b5a0dcd6..72a832f1 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index b0ed8c04..b917b294 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,8 +5,8 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index f00e97ac..a356dc4d 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index 4646a305..fb8660f9 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,8 +4,8 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index 6ba51140..832307bb 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index c7d78e34..c001f497 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index 312b4fbc..cde15a35 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/profile/profile.info b/drupal7/modules/profile/profile.info
index ae0f6e26..a4b684d0 100644
--- a/drupal7/modules/profile/profile.info
+++ b/drupal7/modules/profile/profile.info
@@ -11,8 +11,8 @@ configure = admin/config/people/profile
 ; See user_system_info_alter().
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/rdf/rdf.info b/drupal7/modules/rdf/rdf.info
index ef16a42a..626389ca 100644
--- a/drupal7/modules/rdf/rdf.info
+++ b/drupal7/modules/rdf/rdf.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = rdf.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/rdf/tests/rdf_test.info b/drupal7/modules/rdf/tests/rdf_test.info
index e0fa92dd..8c38d721 100644
--- a/drupal7/modules/rdf/tests/rdf_test.info
+++ b/drupal7/modules/rdf/tests/rdf_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/search/search.info b/drupal7/modules/search/search.info
index 3c0495df..1c285a9b 100644
--- a/drupal7/modules/search/search.info
+++ b/drupal7/modules/search/search.info
@@ -8,8 +8,8 @@ files[] = search.test
 configure = admin/config/search/settings
 stylesheets[all][] = search.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/search/tests/search_embedded_form.info b/drupal7/modules/search/tests/search_embedded_form.info
index 6413e945..0a608db4 100644
--- a/drupal7/modules/search/tests/search_embedded_form.info
+++ b/drupal7/modules/search/tests/search_embedded_form.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/search/tests/search_extra_type.info b/drupal7/modules/search/tests/search_extra_type.info
index d4296c8b..6c54d5d2 100644
--- a/drupal7/modules/search/tests/search_extra_type.info
+++ b/drupal7/modules/search/tests/search_extra_type.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/shortcut/shortcut.info b/drupal7/modules/shortcut/shortcut.info
index 4b8f7b57..a7af7879 100644
--- a/drupal7/modules/shortcut/shortcut.info
+++ b/drupal7/modules/shortcut/shortcut.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = shortcut.test
 configure = admin/config/user-interface/shortcut
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/drupal_web_test_case.php b/drupal7/modules/simpletest/drupal_web_test_case.php
index 6d0e59a4..d71b1e1e 100644
--- a/drupal7/modules/simpletest/drupal_web_test_case.php
+++ b/drupal7/modules/simpletest/drupal_web_test_case.php
@@ -2269,6 +2269,13 @@ class DrupalWebTestCase extends DrupalTestCase {
             }
             break;
 
+          case 'updateBuildId':
+            $buildId = $xpath->query('//input[@name="form_build_id" and @value="' . $command['old'] . '"]')->item(0);
+            if ($buildId) {
+              $buildId->setAttribute('value', $command['new']);
+            }
+            break;
+
           // @todo Add suitable implementations for these commands in order to
           //   have full test coverage of what ajax.js can do.
           case 'remove':
diff --git a/drupal7/modules/simpletest/simpletest.info b/drupal7/modules/simpletest/simpletest.info
index 7a5fd8c7..5a5e7461 100644
--- a/drupal7/modules/simpletest/simpletest.info
+++ b/drupal7/modules/simpletest/simpletest.info
@@ -55,8 +55,8 @@ files[] = tests/upgrade/update.trigger.test
 files[] = tests/upgrade/update.field.test
 files[] = tests/upgrade/update.user.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/actions_loop_test.info b/drupal7/modules/simpletest/tests/actions_loop_test.info
index dfd6d67d..ce5a3a4a 100644
--- a/drupal7/modules/simpletest/tests/actions_loop_test.info
+++ b/drupal7/modules/simpletest/tests/actions_loop_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/ajax.test b/drupal7/modules/simpletest/tests/ajax.test
index 664d5204..a0c7be8a 100644
--- a/drupal7/modules/simpletest/tests/ajax.test
+++ b/drupal7/modules/simpletest/tests/ajax.test
@@ -497,6 +497,85 @@ class AJAXMultiFormTestCase extends AJAXTestCase {
   }
 }
 
+/**
+ * Test Ajax forms when page caching for anonymous users is turned on.
+ */
+class AJAXFormPageCacheTestCase extends AJAXTestCase {
+  protected $profile = 'testing';
+
+  public static function getInfo() {
+    return array(
+      'name' => 'AJAX forms on cached pages',
+      'description' => 'Tests that AJAX forms work properly for anonymous users on cached pages.',
+      'group' => 'AJAX',
+    );
+  }
+
+  public function setUp() {
+    parent::setUp();
+
+    variable_set('cache', TRUE);
+  }
+
+  /**
+   * Return the build id of the current form.
+   */
+  protected function getFormBuildId() {
+    $build_id_fields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($build_id_fields), 1, 'One form build id field on the page');
+    return (string) $build_id_fields[0]['value'];
+  }
+
+  /**
+   * Create a simple form, then POST to system/ajax to change to it.
+   */
+  public function testSimpleAJAXFormValue() {
+    $this->drupalGet('ajax_forms_test_get_form');
+    $this->assertEqual($this->drupalGetHeader('X-Drupal-Cache'), 'MISS', 'Page was not cached.');
+    $build_id_initial = $this->getFormBuildId();
+
+    $edit = array('select' => 'green');
+    $commands = $this->drupalPostAJAX(NULL, $edit, 'select');
+    $build_id_first_ajax = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_initial, $build_id_first_ajax, 'Build id is changed in the simpletest-DOM on first AJAX submission');
+    $expected = array(
+      'command' => 'updateBuildId',
+      'old' => $build_id_initial,
+      'new' => $build_id_first_ajax,
+    );
+    $this->assertCommand($commands, $expected, 'Build id change command issued on first AJAX submission');
+
+    $edit = array('select' => 'red');
+    $commands = $this->drupalPostAJAX(NULL, $edit, 'select');
+    $build_id_second_ajax = $this->getFormBuildId();
+    $this->assertEqual($build_id_first_ajax, $build_id_second_ajax, 'Build id remains the same on subsequent AJAX submissions');
+
+    // Repeat the test sequence but this time with a page loaded from the cache.
+    $this->drupalGet('ajax_forms_test_get_form');
+    $this->assertEqual($this->drupalGetHeader('X-Drupal-Cache'), 'HIT', 'Page was cached.');
+    $build_id_from_cache_initial = $this->getFormBuildId();
+    $this->assertEqual($build_id_initial, $build_id_from_cache_initial, 'Build id is the same as on the first request');
+
+    $edit = array('select' => 'green');
+    $commands = $this->drupalPostAJAX(NULL, $edit, 'select');
+    $build_id_from_cache_first_ajax = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_from_cache_initial, $build_id_from_cache_first_ajax, 'Build id is changed in the simpletest-DOM on first AJAX submission');
+    $this->assertNotEqual($build_id_first_ajax, $build_id_from_cache_first_ajax, 'Build id from first user is not reused');
+    $expected = array(
+      'command' => 'updateBuildId',
+      'old' => $build_id_from_cache_initial,
+      'new' => $build_id_from_cache_first_ajax,
+    );
+    $this->assertCommand($commands, $expected, 'Build id change command issued on first AJAX submission');
+
+    $edit = array('select' => 'red');
+    $commands = $this->drupalPostAJAX(NULL, $edit, 'select');
+    $build_id_from_cache_second_ajax = $this->getFormBuildId();
+    $this->assertEqual($build_id_from_cache_first_ajax, $build_id_from_cache_second_ajax, 'Build id remains the same on subsequent AJAX submissions');
+  }
+}
+
+
 /**
  * Miscellaneous Ajax tests using ajax_test module.
  */
diff --git a/drupal7/modules/simpletest/tests/ajax_forms_test.info b/drupal7/modules/simpletest/tests/ajax_forms_test.info
index 67c45e2f..57d7632d 100644
--- a/drupal7/modules/simpletest/tests/ajax_forms_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_forms_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_test.info b/drupal7/modules/simpletest/tests/ajax_test.info
index 0dab7edd..0d569b7f 100644
--- a/drupal7/modules/simpletest/tests/ajax_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/batch_test.info b/drupal7/modules/simpletest/tests/batch_test.info
index c69cd116..521d2abb 100644
--- a/drupal7/modules/simpletest/tests/batch_test.info
+++ b/drupal7/modules/simpletest/tests/batch_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/common_test.info b/drupal7/modules/simpletest/tests/common_test.info
index e44c56e6..ab935521 100644
--- a/drupal7/modules/simpletest/tests/common_test.info
+++ b/drupal7/modules/simpletest/tests/common_test.info
@@ -7,8 +7,8 @@ stylesheets[all][] = common_test.css
 stylesheets[print][] = common_test.print.css
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/common_test_cron_helper.info b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
index 2fc83250..d842a292 100644
--- a/drupal7/modules/simpletest/tests/common_test_cron_helper.info
+++ b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/database_test.info b/drupal7/modules/simpletest/tests/database_test.info
index 5d0c9c40..3dd81dc2 100644
--- a/drupal7/modules/simpletest/tests/database_test.info
+++ b/drupal7/modules/simpletest/tests/database_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 95acf73e..9fed28b4 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 60bc34fd..d41a0aba 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test.info b/drupal7/modules/simpletest/tests/entity_cache_test.info
index d25db8fe..21b07a33 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = entity_cache_test_dependency
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
index 41e9d726..1963dc97 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
index 00ace081..09ac3bc0 100644
--- a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
+++ b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/entity_query_access_test.info b/drupal7/modules/simpletest/tests/entity_query_access_test.info
index 4abb4404..d9427dbc 100644
--- a/drupal7/modules/simpletest/tests/entity_query_access_test.info
+++ b/drupal7/modules/simpletest/tests/entity_query_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/error_test.info b/drupal7/modules/simpletest/tests/error_test.info
index 36e08a16..de6c314c 100644
--- a/drupal7/modules/simpletest/tests/error_test.info
+++ b/drupal7/modules/simpletest/tests/error_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/file_test.info b/drupal7/modules/simpletest/tests/file_test.info
index b0e29475..3ef357b3 100644
--- a/drupal7/modules/simpletest/tests/file_test.info
+++ b/drupal7/modules/simpletest/tests/file_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = file_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/filter_test.info b/drupal7/modules/simpletest/tests/filter_test.info
index 88fcb924..c7a2cc15 100644
--- a/drupal7/modules/simpletest/tests/filter_test.info
+++ b/drupal7/modules/simpletest/tests/filter_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/form.test b/drupal7/modules/simpletest/tests/form.test
index 1d430b58..f90b854c 100644
--- a/drupal7/modules/simpletest/tests/form.test
+++ b/drupal7/modules/simpletest/tests/form.test
@@ -1156,6 +1156,182 @@ class FormsFormStorageTestCase extends DrupalWebTestCase {
       $this->assertText('State persisted.');
     }
   }
+
+  /**
+   * Verify that the form build-id remains the same when validation errors
+   * occur on a mutable form.
+   */
+  function testMutableForm() {
+    // Request the form with 'cache' query parameter to enable form caching.
+    $this->drupalGet('form_test/form-storage', array('query' => array('cache' => 1)));
+    $buildIdFields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($buildIdFields), 1, 'One form build id field on the page');
+    $buildId = (string) $buildIdFields[0]['value'];
+
+    // Trigger validation error by submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Continue submit');
+
+    // Verify that the build-id did not change.
+    $this->assertFieldByName('form_build_id', $buildId, 'Build id remains the same when form validation fails');
+  }
+
+  /**
+   * Verifies that form build-id is regenerated when loading an immutable form
+   * from the cache.
+   */
+  function testImmutableForm() {
+    // Request the form with 'cache' query parameter to enable form caching.
+    $this->drupalGet('form_test/form-storage', array('query' => array('cache' => 1, 'immutable' => 1)));
+    $buildIdFields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($buildIdFields), 1, 'One form build id field on the page');
+    $buildId = (string) $buildIdFields[0]['value'];
+
+    // Trigger validation error by submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Continue submit');
+
+    // Verify that the build-id did change.
+    $this->assertNoFieldByName('form_build_id', $buildId, 'Build id changes when form validation fails');
+
+    // Retrieve the new build-id.
+    $buildIdFields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($buildIdFields), 1, 'One form build id field on the page');
+    $buildId = (string) $buildIdFields[0]['value'];
+
+    // Trigger validation error by again submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Continue submit');
+
+    // Verify that the build-id does not change the second time.
+    $this->assertFieldByName('form_build_id', $buildId, 'Build id remains the same when form validation fails subsequently');
+  }
+
+  /**
+   * Verify that existing contrib code cannot overwrite immutable form state.
+   */
+  public function testImmutableFormLegacyProtection() {
+    $this->drupalGet('form_test/form-storage', array('query' => array('cache' => 1, 'immutable' => 1)));
+    $build_id_fields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($build_id_fields), 1, 'One form build id field on the page');
+    $build_id = (string) $build_id_fields[0]['value'];
+
+    // Try to poison the form cache.
+    $original = $this->drupalGetAJAX('form_test/form-storage-legacy/' . $build_id);
+    $this->assertEqual($original['form']['#build_id_old'], $build_id, 'Original build_id was recorded');
+    $this->assertNotEqual($original['form']['#build_id'], $build_id, 'New build_id was generated');
+
+    // Assert that a watchdog message was logged by form_set_cache.
+    $status = (bool) db_query_range('SELECT 1 FROM {watchdog} WHERE message = :message', 0, 1, array(':message' => 'Form build-id mismatch detected while attempting to store a form in the cache.'));
+    $this->assert($status, 'A watchdog message was logged by form_set_cache');
+
+    // Ensure that the form state was not poisoned by the preceeding call.
+    $original = $this->drupalGetAJAX('form_test/form-storage-legacy/' . $build_id);
+    $this->assertEqual($original['form']['#build_id_old'], $build_id, 'Original build_id was recorded');
+    $this->assertNotEqual($original['form']['#build_id'], $build_id, 'New build_id was generated');
+    $this->assert(empty($original['form']['#poisoned']), 'Original form structure was preserved');
+    $this->assert(empty($original['form_state']['poisoned']), 'Original form state was preserved');
+  }
+}
+
+/**
+ * Test the form storage when page caching for anonymous users is turned on.
+ */
+class FormsFormStoragePageCacheTestCase extends DrupalWebTestCase {
+  protected $profile = 'testing';
+
+  public static function getInfo() {
+    return array(
+      'name'  => 'Forms using form storage on cached pages',
+      'description'  => 'Tests a form using form storage and makes sure validation and caching works when page caching for anonymous users is turned on.',
+      'group' => 'Form API',
+    );
+  }
+
+  public function setUp() {
+    parent::setUp('form_test');
+
+    variable_set('cache', TRUE);
+  }
+
+  /**
+   * Return the build id of the current form.
+   */
+  protected function getFormBuildId() {
+    $build_id_fields = $this->xpath('//input[@name="form_build_id"]');
+    $this->assertEqual(count($build_id_fields), 1, 'One form build id field on the page');
+    return (string) $build_id_fields[0]['value'];
+  }
+
+  /**
+   * Build-id is regenerated when validating cached form.
+   */
+  public function testValidateFormStorageOnCachedPage() {
+    $this->drupalGet('form_test/form-storage-page-cache');
+    $this->assertEqual($this->drupalGetHeader('X-Drupal-Cache'), 'MISS', 'Page was not cached.');
+    $this->assertText('No old build id', 'No old build id on the page');
+    $build_id_initial = $this->getFormBuildId();
+
+    // Trigger validation error by submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Save');
+    $this->assertText($build_id_initial, 'Old build id on the page');
+    $build_id_first_validation = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_initial, $build_id_first_validation, 'Build id changes when form validation fails');
+
+    // Trigger validation error by again submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Save');
+    $this->assertText('No old build id', 'No old build id on the page');
+    $build_id_second_validation = $this->getFormBuildId();
+    $this->assertEqual($build_id_first_validation, $build_id_second_validation, 'Build id remains the same when form validation fails subsequently');
+
+    // Repeat the test sequence but this time with a page loaded from the cache.
+    $this->drupalGet('form_test/form-storage-page-cache');
+    $this->assertEqual($this->drupalGetHeader('X-Drupal-Cache'), 'HIT', 'Page was cached.');
+    $this->assertText('No old build id', 'No old build id on the page');
+    $build_id_from_cache_initial = $this->getFormBuildId();
+    $this->assertEqual($build_id_initial, $build_id_from_cache_initial, 'Build id is the same as on the first request');
+
+    // Trigger validation error by submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Save');
+    $this->assertText($build_id_initial, 'Old build id is initial build id');
+    $build_id_from_cache_first_validation = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_initial, $build_id_from_cache_first_validation, 'Build id changes when form validation fails');
+    $this->assertNotEqual($build_id_first_validation, $build_id_from_cache_first_validation, 'Build id from first user is not reused');
+
+    // Trigger validation error by again submitting an empty title.
+    $edit = array('title' => '');
+    $this->drupalPost(NULL, $edit, 'Save');
+    $this->assertText('No old build id', 'No old build id on the page');
+    $build_id_from_cache_second_validation = $this->getFormBuildId();
+    $this->assertEqual($build_id_from_cache_first_validation, $build_id_from_cache_second_validation, 'Build id remains the same when form validation fails subsequently');
+  }
+
+  /**
+   * Build-id is regenerated when rebuilding cached form.
+   */
+  public function testRebuildFormStorageOnCachedPage() {
+    $this->drupalGet('form_test/form-storage-page-cache');
+    $this->assertEqual($this->drupalGetHeader('X-Drupal-Cache'), 'MISS', 'Page was not cached.');
+    $this->assertText('No old build id', 'No old build id on the page');
+    $build_id_initial = $this->getFormBuildId();
+
+    // Trigger rebuild, should regenerate build id.
+    $edit = array('title' => 'something');
+    $this->drupalPost(NULL, $edit, 'Rebuild');
+    $this->assertText($build_id_initial, 'Initial build id as old build id on the page');
+    $build_id_first_rebuild = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_initial, $build_id_first_rebuild, 'Build id changes on first rebuild.');
+
+    // Trigger subsequent rebuild, should regenerate the build id again.
+    $edit = array('title' => 'something');
+    $this->drupalPost(NULL, $edit, 'Rebuild');
+    $this->assertText($build_id_first_rebuild, 'First build id as old build id on the page');
+    $build_id_second_rebuild = $this->getFormBuildId();
+    $this->assertNotEqual($build_id_first_rebuild, $build_id_second_rebuild, 'Build id changes on second rebuild.');
+  }
 }
 
 /**
diff --git a/drupal7/modules/simpletest/tests/form_test.info b/drupal7/modules/simpletest/tests/form_test.info
index 860e09a9..cab235c4 100644
--- a/drupal7/modules/simpletest/tests/form_test.info
+++ b/drupal7/modules/simpletest/tests/form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/form_test.module b/drupal7/modules/simpletest/tests/form_test.module
index c7885d7a..602b4090 100644
--- a/drupal7/modules/simpletest/tests/form_test.module
+++ b/drupal7/modules/simpletest/tests/form_test.module
@@ -90,6 +90,21 @@ function form_test_menu() {
     'type' => MENU_CALLBACK,
   );
 
+  $items['form_test/form-storage-legacy'] = array(
+    'title' => 'Emulate legacy AHAH-style ajax callback',
+    'page callback' => 'form_test_storage_legacy_handler',
+    'access arguments' => array('access content'),
+    'type' => MENU_CALLBACK,
+  );
+
+  $items['form_test/form-storage-page-cache'] = array(
+    'title' => 'Form storage with page cache test',
+    'page callback' => 'drupal_get_form',
+    'page arguments' => array('form_test_storage_page_cache_form'),
+    'access arguments' => array('access content'),
+    'type' => MENU_CALLBACK,
+  );
+
   $items['form_test/wrapper-callback'] = array(
     'title' => 'Form wrapper callback test',
     'page callback' => 'form_test_wrapper_callback',
@@ -746,9 +761,36 @@ function form_test_storage_form($form, &$form_state) {
     $form_state['cache'] = TRUE;
   }
 
+  if (isset($_REQUEST['immutable'])) {
+    $form_state['build_info']['immutable'] = TRUE;
+  }
+
   return $form;
 }
 
+/**
+ * Emulate legacy AHAH-style ajax callback.
+ *
+ * Drupal 6 AHAH callbacks used to operate directly on forms retrieved using
+ * form_get_cache and stored using form_set_cache after manipulation. This
+ * callback helps testing whether form_set_cache prevents resaving of immutable
+ * forms.
+ */
+function form_test_storage_legacy_handler($form_build_id) {
+  $form_state = array();
+  $form = form_get_cache($form_build_id, $form_state);
+
+  drupal_json_output(array(
+    'form' => $form,
+    'form_state' => $form_state,
+  ));
+
+  $form['#poisoned'] = TRUE;
+  $form_state['poisoned'] = TRUE;
+
+  form_set_cache($form_build_id, $form, $form_state);
+}
+
 /**
  * Form element validation handler for 'value' element in form_test_storage_form().
  *
@@ -785,6 +827,56 @@ function form_test_storage_form_submit($form, &$form_state) {
   $form_state['redirect'] = 'node';
 }
 
+/**
+ * A simple form for testing form storage when page caching is enabled.
+ */
+function form_test_storage_page_cache_form($form, &$form_state) {
+  $form['title'] = array(
+    '#type' => 'textfield',
+    '#title' => 'Title',
+    '#required' => TRUE,
+  );
+
+  $form['test_build_id_old'] = array(
+    '#type' => 'item',
+    '#title' => 'Old build id',
+    '#markup' => 'No old build id',
+  );
+
+  $form['submit'] = array(
+    '#type' => 'submit',
+    '#value' => 'Save',
+  );
+
+  $form['rebuild'] = array(
+    '#type' => 'submit',
+    '#value' => 'Rebuild',
+    '#submit' => array('form_test_storage_page_cache_rebuild'),
+  );
+
+  $form['#after_build'] = array('form_test_storage_page_cache_old_build_id');
+  $form_state['cache'] = TRUE;
+
+  return $form;
+}
+
+/**
+ * Form element #after_build callback: output the old form build-id.
+ */
+function form_test_storage_page_cache_old_build_id($form) {
+  if (isset($form['#build_id_old'])) {
+    $form['test_build_id_old']['#markup'] = check_plain($form['#build_id_old']);
+  }
+  return $form;
+}
+
+/**
+ * Form submit callback: Rebuild the form and continue.
+ */
+function form_test_storage_page_cache_rebuild($form, &$form_state) {
+  $form_state['rebuild'] = TRUE;
+}
+
 /**
  * A form for testing form labels and required marks.
  */
diff --git a/drupal7/modules/simpletest/tests/image_test.info b/drupal7/modules/simpletest/tests/image_test.info
index 8bfca5a5..ddf7a869 100644
--- a/drupal7/modules/simpletest/tests/image_test.info
+++ b/drupal7/modules/simpletest/tests/image_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/menu_test.info b/drupal7/modules/simpletest/tests/menu_test.info
index bdb1cf96..63cb2617 100644
--- a/drupal7/modules/simpletest/tests/menu_test.info
+++ b/drupal7/modules/simpletest/tests/menu_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/module_test.info b/drupal7/modules/simpletest/tests/module_test.info
index 1d43e123..8c6b05c0 100644
--- a/drupal7/modules/simpletest/tests/module_test.info
+++ b/drupal7/modules/simpletest/tests/module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/path_test.info b/drupal7/modules/simpletest/tests/path_test.info
index 086ba326..d01313cf 100644
--- a/drupal7/modules/simpletest/tests/path_test.info
+++ b/drupal7/modules/simpletest/tests/path_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
index e392562c..ddbf2cab 100644
--- a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
+++ b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
@@ -5,8 +5,8 @@ core = 7.x
 hidden = TRUE
 package = Testing
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/requirements1_test.info b/drupal7/modules/simpletest/tests/requirements1_test.info
index 611979c4..8bc14548 100644
--- a/drupal7/modules/simpletest/tests/requirements1_test.info
+++ b/drupal7/modules/simpletest/tests/requirements1_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/requirements2_test.info b/drupal7/modules/simpletest/tests/requirements2_test.info
index 5f5e2768..341e212b 100644
--- a/drupal7/modules/simpletest/tests/requirements2_test.info
+++ b/drupal7/modules/simpletest/tests/requirements2_test.info
@@ -7,8 +7,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/session_test.info b/drupal7/modules/simpletest/tests/session_test.info
index 4e210303..fc974e1f 100644
--- a/drupal7/modules/simpletest/tests/session_test.info
+++ b/drupal7/modules/simpletest/tests/session_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_dependencies_test.info b/drupal7/modules/simpletest/tests/system_dependencies_test.info
index 58260868..29f49ffd 100644
--- a/drupal7/modules/simpletest/tests/system_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = _missing_dependency
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
index 0fba52e4..6011bedc 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = system_incompatible_core_version_test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
index af429799..36d5a745 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 5.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
index 8862a79f..ac034cfd 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 ; system_incompatible_module_version_test declares version 1.0
 dependencies[] = system_incompatible_module_version_test (>2.0)
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
index 48f5eb13..c1bf6ed8 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
@@ -5,8 +5,8 @@ version = 1.0
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/system_test.info b/drupal7/modules/simpletest/tests/system_test.info
index 3e3020cf..2fea639f 100644
--- a/drupal7/modules/simpletest/tests/system_test.info
+++ b/drupal7/modules/simpletest/tests/system_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = system_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/taxonomy_test.info b/drupal7/modules/simpletest/tests/taxonomy_test.info
index 296a2b85..28655e44 100644
--- a/drupal7/modules/simpletest/tests/taxonomy_test.info
+++ b/drupal7/modules/simpletest/tests/taxonomy_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = taxonomy
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/theme_test.info b/drupal7/modules/simpletest/tests/theme_test.info
index 7b4db19a..f3e7ae11 100644
--- a/drupal7/modules/simpletest/tests/theme_test.info
+++ b/drupal7/modules/simpletest/tests/theme_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
index 2af492c1..5b484e68 100644
--- a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 settings[basetheme_only] = base theme value
 settings[subtheme_override] = base theme value
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
index 641c4c74..f4b6fb35 100644
--- a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 
 settings[subtheme_override] = subtheme value
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
index 783e37ce..e80435cd 100644
--- a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
@@ -17,8 +17,8 @@ stylesheets[all][] = system.base.css
 
 settings[theme_test_setting] = default value
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/update_script_test.info b/drupal7/modules/simpletest/tests/update_script_test.info
index 1a670301..aec438bb 100644
--- a/drupal7/modules/simpletest/tests/update_script_test.info
+++ b/drupal7/modules/simpletest/tests/update_script_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_1.info b/drupal7/modules/simpletest/tests/update_test_1.info
index 76b4e2ff..31146f95 100644
--- a/drupal7/modules/simpletest/tests/update_test_1.info
+++ b/drupal7/modules/simpletest/tests/update_test_1.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_2.info b/drupal7/modules/simpletest/tests/update_test_2.info
index 76b4e2ff..31146f95 100644
--- a/drupal7/modules/simpletest/tests/update_test_2.info
+++ b/drupal7/modules/simpletest/tests/update_test_2.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_3.info b/drupal7/modules/simpletest/tests/update_test_3.info
index 76b4e2ff..31146f95 100644
--- a/drupal7/modules/simpletest/tests/update_test_3.info
+++ b/drupal7/modules/simpletest/tests/update_test_3.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/url_alter_test.info b/drupal7/modules/simpletest/tests/url_alter_test.info
index ae680d85..98ee98d4 100644
--- a/drupal7/modules/simpletest/tests/url_alter_test.info
+++ b/drupal7/modules/simpletest/tests/url_alter_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/simpletest/tests/xmlrpc_test.info b/drupal7/modules/simpletest/tests/xmlrpc_test.info
index b61bd6a3..2f95ed5e 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc_test.info
+++ b/drupal7/modules/simpletest/tests/xmlrpc_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/statistics/statistics.info b/drupal7/modules/statistics/statistics.info
index e5629b47..efb778d9 100644
--- a/drupal7/modules/statistics/statistics.info
+++ b/drupal7/modules/statistics/statistics.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = statistics.test
 configure = admin/config/system/statistics
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/syslog/syslog.info b/drupal7/modules/syslog/syslog.info
index fc50ef1b..a8340f92 100644
--- a/drupal7/modules/syslog/syslog.info
+++ b/drupal7/modules/syslog/syslog.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = syslog.test
 configure = admin/config/development/logging
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/system/system.info b/drupal7/modules/system/system.info
index 667581a2..f5227d2d 100644
--- a/drupal7/modules/system/system.info
+++ b/drupal7/modules/system/system.info
@@ -12,8 +12,8 @@ files[] = system.test
 required = TRUE
 configure = admin/config/system
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.info b/drupal7/modules/taxonomy/taxonomy.info
index 81e93f80..f63cb439 100644
--- a/drupal7/modules/taxonomy/taxonomy.info
+++ b/drupal7/modules/taxonomy/taxonomy.info
@@ -8,8 +8,8 @@ files[] = taxonomy.module
 files[] = taxonomy.test
 configure = admin/structure/taxonomy
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/toolbar/toolbar.info b/drupal7/modules/toolbar/toolbar.info
index c8d7d31a..dbd79a40 100644
--- a/drupal7/modules/toolbar/toolbar.info
+++ b/drupal7/modules/toolbar/toolbar.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/tracker/tracker.info b/drupal7/modules/tracker/tracker.info
index 6a84fc2f..256575cd 100644
--- a/drupal7/modules/tracker/tracker.info
+++ b/drupal7/modules/tracker/tracker.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/translation/tests/translation_test.info b/drupal7/modules/translation/tests/translation_test.info
index 4d83254a..49753fb6 100644
--- a/drupal7/modules/translation/tests/translation_test.info
+++ b/drupal7/modules/translation/tests/translation_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/translation/translation.info b/drupal7/modules/translation/translation.info
index 7a1c3ce9..87bd74f1 100644
--- a/drupal7/modules/translation/translation.info
+++ b/drupal7/modules/translation/translation.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/trigger/tests/trigger_test.info b/drupal7/modules/trigger/tests/trigger_test.info
index 56561377..521941e9 100644
--- a/drupal7/modules/trigger/tests/trigger_test.info
+++ b/drupal7/modules/trigger/tests/trigger_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/trigger/trigger.info b/drupal7/modules/trigger/trigger.info
index aa7c18c5..a150a565 100644
--- a/drupal7/modules/trigger/trigger.info
+++ b/drupal7/modules/trigger/trigger.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/aaa_update_test.info b/drupal7/modules/update/tests/aaa_update_test.info
index 8af9839d..38478560 100644
--- a/drupal7/modules/update/tests/aaa_update_test.info
+++ b/drupal7/modules/update/tests/aaa_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/bbb_update_test.info b/drupal7/modules/update/tests/bbb_update_test.info
index 928cfbcf..4afd33b2 100644
--- a/drupal7/modules/update/tests/bbb_update_test.info
+++ b/drupal7/modules/update/tests/bbb_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/ccc_update_test.info b/drupal7/modules/update/tests/ccc_update_test.info
index 7b4a97ab..65f4ffa6 100644
--- a/drupal7/modules/update/tests/ccc_update_test.info
+++ b/drupal7/modules/update/tests/ccc_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
index 3d506d78..ede05d09 100644
--- a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
@@ -3,8 +3,8 @@ description = Test theme which acts as a base theme for other test subthemes.
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
index 40c2e447..98f074d3 100644
--- a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
@@ -4,8 +4,8 @@ core = 7.x
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/tests/update_test.info b/drupal7/modules/update/tests/update_test.info
index 3964e7fa..548cd652 100644
--- a/drupal7/modules/update/tests/update_test.info
+++ b/drupal7/modules/update/tests/update_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/update/update.info b/drupal7/modules/update/update.info
index 978470bc..44123a5f 100644
--- a/drupal7/modules/update/update.info
+++ b/drupal7/modules/update/update.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/user/tests/user_form_test.info b/drupal7/modules/user/tests/user_form_test.info
index bc1bc835..8306b8df 100644
--- a/drupal7/modules/user/tests/user_form_test.info
+++ b/drupal7/modules/user/tests/user_form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/modules/user/user.info b/drupal7/modules/user/user.info
index 786a092d..6dc84af3 100644
--- a/drupal7/modules/user/user.info
+++ b/drupal7/modules/user/user.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/profiles/minimal/minimal.info b/drupal7/profiles/minimal/minimal.info
index 30551407..24738b50 100644
--- a/drupal7/profiles/minimal/minimal.info
+++ b/drupal7/profiles/minimal/minimal.info
@@ -5,8 +5,8 @@ core = 7.x
 dependencies[] = block
 dependencies[] = dblog
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/profiles/standard/standard.info b/drupal7/profiles/standard/standard.info
index 8db9e386..f9add64b 100644
--- a/drupal7/profiles/standard/standard.info
+++ b/drupal7/profiles/standard/standard.info
@@ -24,8 +24,8 @@ dependencies[] = field_ui
 dependencies[] = file
 dependencies[] = rdf
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/profiles/standard/translations/fr.po b/drupal7/profiles/standard/translations/fr.po
index 2571765e..24e33d01 100644
--- a/drupal7/profiles/standard/translations/fr.po
+++ b/drupal7/profiles/standard/translations/fr.po
@@ -1,10 +1,10 @@
-# French translation of Drupal core (7.23)
-# Copyright (c) 2013 by the French translation team
+# French translation of Drupal core (7.24)
+# Copyright (c) 2014 by the French translation team
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: Drupal core (7.23)\n"
-"POT-Creation-Date: 2013-11-19 15:42+0000\n"
+"Project-Id-Version: Drupal core (7.24)\n"
+"POT-Creation-Date: 2014-04-11 16:54+0000\n"
 "PO-Revision-Date: YYYY-mm-DD HH:MM+ZZZZ\n"
 "Language-Team: French\n"
 "MIME-Version: 1.0\n"
@@ -1233,7 +1233,7 @@ msgstr "Guinée"
 msgid "Guinea-Bissau"
 msgstr "Guinée-Bissau"
 msgid "Guyana"
-msgstr "Guyane"
+msgstr "Guyana"
 msgid "Haiti"
 msgstr "Haïti"
 msgid "Heard Island and McDonald Islands"
@@ -5805,13 +5805,13 @@ msgid ""
 "re-indexed.</em></p><p><em>The default settings should be appropriate "
 "for the majority of sites.</em></p>"
 msgstr ""
-"<p><em>Changer les réglages suivants aura pour effet de recréer une "
-"indexation du site. L'index de recherche n'est pas initialisé mais "
-"systématiquement mis à jour pour refléter les nouveaux réglages. "
-"La recherche continuera à fonctionner mais les nouveaux contenus ne "
-"seront pas indexés jusqu'à que le contenu existant soit "
-"réindexé.</em></p><p><em>Les réglages par défaut devraient être "
-"idoine pour la plupart des sites.</em></p>"
+"<p><em>Tout changement dans les réglages suivants entraînera la "
+"reconstruction de l'index du site. L'index de recherche n'est pas "
+"vidé mais systématiquement mis à jour pour refléter les nouveaux "
+"réglages. La recherche continuera à fonctionner mais les nouveaux "
+"contenus ne seront pas indexés tant que le contenu existant n'aura "
+"pas été réindexé.</em></p><p><em>Les réglages par défaut "
+"devraient convenir à la plupart des sites.</em></p>"
 msgid "Minimum word length to index"
 msgstr "Taille minimale des mots à indexer"
 msgid ""
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 7c14427e..066a08f6 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 files[] = drupal_system_listing_compatible_test.test
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index e805fb4e..15ff3c1e 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -8,8 +8,8 @@ version = VERSION
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/profiles/testing/testing.info b/drupal7/profiles/testing/testing.info
index dde47ca6..30f5e9b8 100644
--- a/drupal7/profiles/testing/testing.info
+++ b/drupal7/profiles/testing/testing.info
@@ -4,8 +4,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/themes/bartik/bartik.info b/drupal7/themes/bartik/bartik.info
index 71bb1a53..de09f370 100644
--- a/drupal7/themes/bartik/bartik.info
+++ b/drupal7/themes/bartik/bartik.info
@@ -34,8 +34,8 @@ regions[footer] = Footer
 settings[shortcut_module_link] = 0
 
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/themes/garland/garland.info b/drupal7/themes/garland/garland.info
index 6c914c73..5baac552 100644
--- a/drupal7/themes/garland/garland.info
+++ b/drupal7/themes/garland/garland.info
@@ -7,8 +7,8 @@ stylesheets[all][] = style.css
 stylesheets[print][] = print.css
 settings[garland_width] = fluid
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/themes/seven/seven.info b/drupal7/themes/seven/seven.info
index 4a26149b..baee6cf4 100644
--- a/drupal7/themes/seven/seven.info
+++ b/drupal7/themes/seven/seven.info
@@ -13,8 +13,8 @@ regions[page_bottom] = Page bottom
 regions[sidebar_first] = First sidebar
 regions_hidden[] = sidebar_first
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
diff --git a/drupal7/themes/stark/stark.info b/drupal7/themes/stark/stark.info
index bcc97f5a..97d49d2f 100644
--- a/drupal7/themes/stark/stark.info
+++ b/drupal7/themes/stark/stark.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 stylesheets[all][] = layout.css
 
-; Information added by Drupal.org packaging script on 2014-01-15
-version = "7.26"
+; Information added by Drupal.org packaging script on 2014-04-16
+version = "7.27"
 project = "drupal"
-datestamp = "1389815930"
+datestamp = "1397687057"
 
